Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517981 - Postbooks in Fedora does not support current version of PostgreSQL.
Summary: Postbooks in Fedora does not support current version of PostgreSQL.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: postbooks
Version: 26
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Daniel Pocock
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 19:51 UTC by John Griffiths
Modified: 2018-05-29 12:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:08:26 UTC
daniel: rhel-rawhide+


Attachments (Terms of Use)

Description John Griffiths 2017-11-27 19:51:22 UTC
Description of problem:
Current version of Postbooks in Fedora does not support current version of PostgreSQL. This in F26 and F27

Version-Release number of selected component (if applicable):
F26 has postbooks version 4.10.1-12.fc26
F26 has postgresql version 9.6.6-1.fc26

F27 has postbooks version 4.10.1-14.fc27
F27 has postgresql version 9.6.6-1.fc27

How reproducible:
Always

Steps to Reproduce:
1. Install postbooks
2. Install postgresql
3. Check versions

Actual results:
F26 has postbooks version 4.10.1-12.fc26
F26 has postgresql version 9.6.6-1.fc26

F27 has postbooks version 4.10.1-14.fc27
F27 has postgresql version 9.6.6-1.fc27


Expected results:
The version of PostBooks should stay current with the version of PostgreSQL.

Additional info:
Postbooks version 4.10.1 only supports postgresql upto version 9.3.

Also need the Updater for xTuple/Postbooks, bug https://bugzilla.redhat.com/show_bug.cgi?id=1398420

Comment 1 Daniel Pocock 2017-11-27 19:57:00 UTC
Here is the upstream compatibility matrix:

https://xtupleuniversity.xtuple.com/library/articles/compatibility-matrix

How can we ensure the packages remain in sync?

Given the corporate nature of this package (business accounting), are there any organizations who would sponsor some of the packaging work in future?

Comment 2 John Griffiths 2017-11-27 20:10:48 UTC
I am aware of the upstream compatibility matrix. I understand keeping in sync is an issue. I wish I could  help sponsor, but I am a Realtor and it is off season and I am skimping. 

I use PostBooks and it quit working. Now I really can't afford anything because my accounting is not working.

The xTuple source in github require obsolete libraries and headers no longer available in Fedora. I have tried using some compatibility packages to no avail since PostBooks packages from github or built from github source does version checking at startup which are not satisfied. 

I appreciate all maintainers do. I am not much of a C++ coder. I can just basically figure out how to satisfy dependencies.

Comment 3 Daniel Pocock 2017-11-27 20:14:23 UTC
The version available in Debian is currently in sync

A Debian version is usually stable and supported for 2-3 years so that may be a better platform than Fedora for the use case you describe.

If you really want to run other new things on Fedora then you could run applications like Postbooks in a virtual machine with KVM on older versions of Fedora or Debian.

Comment 4 John Griffiths 2017-11-27 20:20:14 UTC
Yeah.

I could also go to Ubuntu, since the PostBooks git repo is built against it. 

I have never used KVM. I know that is a potential solution. I guess I am off on another learning adventure.

I had been running PostBooks for a while and it just quit after an update. Guess I could rollback until it works, but the updates and made for a reason. So it is the proverbial rock and hard place.

Thanks.

Comment 5 John Griffiths 2017-12-04 20:01:38 UTC
Tried Ubuntu on KVM. Sloooooow. Way too slow to be usable.

Comment 6 Fedora End Of Life 2018-05-03 08:59:25 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 12:08:26 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.